Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.xmp
Class XmpWriter

    java.lang.Object
      com.lowagie.text.xml.xmp.XmpWriter

    public class XmpWriter

extends Object

With this class you can create an Xmp Stream that can be used for adding Metadata to a PDF Dictionary. Remark that this class doesn't cover the complete XMP specification.

Field Summary
`protected String` | `about` The about string that goes into the rdf:Description tags.
`protected char` | `end` The end attribute.
`protected int` | `extraSpace` You can add some extra space in the XMP packet; 1 unit in this variable represents 100 spaces and a newline.
`static String` | `EXTRASPACE` String used to fill the extra space.
`static String` | `UTF16` A possible charset for the XMP.
`static String` | `UTF16BE` A possible charset for the XMP.
`static String` | `UTF16LE` A possible charset for the XMP.
`static String` | `UTF8` A possible charset for the XMP.
`protected OutputStreamWriter` | `writer` The writer to which you can write bytes for the XMP stream.

Constructor Summary
`XmpWriter(OutputStream os)` Creates an XmpWriter.
`XmpWriter(OutputStream os, Map info)`
`XmpWriter(OutputStream os, PdfDictionary info, int PdfXConformance)`
`XmpWriter(OutputStream os, String utfEncoding, int extraSpace)` Creates an XmpWriter.

Method Summary
`void` | `addRdfDescription(String xmlns, String content)` Adds an rdf:Description.
`void` | `addRdfDescription(XmpSchema s)` Adds an rdf:Description.
`void` | `close()` Flushes and closes the XmpWriter.
`void` | `setAbout(String about)`
`void` | `setReadOnly()` Sets the XMP to read-only

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UTF8

    public static final String UTF8

  A possible charset for the XMP.

  See Also:
    Constant Field Values

### UTF16

    public static final String UTF16

  A possible charset for the XMP.

  See Also:
    Constant Field Values

### UTF16BE

    public static final String UTF16BE

  A possible charset for the XMP.

  See Also:
    Constant Field Values

### UTF16LE

    public static final String UTF16LE

  A possible charset for the XMP.

  See Also:
    Constant Field Values

### EXTRASPACE

    public static final String EXTRASPACE

  String used to fill the extra space.

  See Also:
    Constant Field Values

### extraSpace

    protected int extraSpace

  You can add some extra space in the XMP packet; 1 unit in this variable represents 100 spaces and a newline.

### writer

    protected OutputStreamWriter writer

  The writer to which you can write bytes for the XMP stream.

### about

    protected String about

  The about string that goes into the rdf:Description tags.

### end

    protected char end

  The end attribute.

Constructor Detail

### XmpWriter

    public XmpWriter(OutputStream os,
                     String utfEncoding,
                     int extraSpace)
              throws IOException

  Creates an XmpWriter.

  Parameters:
    `os` -
    `utfEncoding` -
    `extraSpace` -
  Throws:
    `IOException`

### XmpWriter

    public XmpWriter(OutputStream os)
              throws IOException

  Creates an XmpWriter.

  Parameters:
    `os` -
  Throws:
    `IOException`

### XmpWriter

    public XmpWriter(OutputStream os,
                     PdfDictionary info,
                     int PdfXConformance)
              throws IOException

Parameters:
  `os` -
  `info` -
Throws:
  `IOException`

### XmpWriter

    public XmpWriter(OutputStream os,
                     Map info)
              throws IOException

Parameters:
  `os` -
  `info` -
Throws:
  `IOException`

Method Detail

### setReadOnly

    public void setReadOnly()

  Sets the XMP to read-only

### setAbout

    public void setAbout(String about)

  Parameters:
    `about` - The about to set.

### addRdfDescription

    public void addRdfDescription(String xmlns,
                                  String content)
                           throws IOException

  Adds an rdf:Description.

  Parameters:
    `xmlns` -
    `content` -
  Throws:
    `IOException`

### addRdfDescription

    public void addRdfDescription(XmpSchema s)
                           throws IOException

  Adds an rdf:Description.

  Parameters:
    `s` -
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Flushes and closes the XmpWriter.

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD